Compression Stream Transformations

## Variables

const | Qore::COMPRESSION_ALG_BZIP2 = str(CompressionTransforms::ALG_BZIP2)
| Identifies the bzip2 algorithm
const | Qore::COMPRESSION_ALG_GZIP = str(CompressionTransforms::ALG_GZIP)
| Identifies the GZIP Format (RFC 1952)
const | Qore::COMPRESSION_ALG_ZLIB = str(CompressionTransforms::ALG_ZLIB)
| Identifies the ZLIB Compressed Data Format (RFC 1950)

## Detailed Description

The following Transform constants can be used with TransformInputStream and TransformOutputStream to transform stream data

Example:
  Qore::FileOutputStream of("my-file.txt");
  Qore::TransformOutputStream ts(of, get_decompressor(Qore::COMPRESSION_ALG_BZIP2));

See also
  Cryptographic Stream Transformations

Since
  Qore 0.8.13